#!../../bin/darwin-x86/ps300Test

#
# GPIB/LAN adapter address
#
epicsEnvSet("E","$(E=bpuregpib8)")

#
# GPIB device address
#
epicsEnvSet("A","$(A=14)")

#
# PV name prefix
#
epicsEnvSet("P","$(P=ps300:)")

< envPaths
cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/ps300Test.dbd",0,0)
ps300Test_registerRecordDeviceDriver(pdbbase)

## Configure hardware
vxi11Configure("L0","$(E)",0,0.0,"gpib0",0,0)
asynSetTraceIOMask("L0",$(A),0x2)
asynSetTraceMask("L0",$(A),0x9)

## Load record instances
dbLoadRecords("db/devps300.db","P=$(P),R=HVPS:,L=0,A=$(A)")

cd ${TOP}/iocBoot/${IOC}
iocInit()
